Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZClusterFileHandlerInterface Member List

This is the complete list of members for eZClusterFileHandlerInterface, including all inherited members.

abortCacheGeneration() | eZClusterFileHandlerInterface |
applyServerUri( $filePath) | eZClusterFileHandlerInterface |
checkCacheGenerationTimeout() | eZClusterFileHandlerInterface |
dataType() | eZClusterFileHandlerInterface |
delete() | eZClusterFileHandlerInterface |
deleteLocal() | eZClusterFileHandlerInterface |
endCacheGeneration( $rename=true) | eZClusterFileHandlerInterface |
exists() | eZClusterFileHandlerInterface |
fetch( $noLocalCache=false) | eZClusterFileHandlerInterface |
fetchContents() | eZClusterFileHandlerInterface |
fetchUnique() | eZClusterFileHandlerInterface |
fileCopy( $srcPath, $dstPath) | eZClusterFileHandlerInterface |
fileDelete( $path, $fnamePart=false) | eZClusterFileHandlerInterface |
fileDeleteByDirList( $dirList, $commonPath, $commonSuffix) | eZClusterFileHandlerInterface |
fileDeleteByWildcard( $wildcard) | eZClusterFileHandlerInterface |
fileDeleteLocal( $path) | eZClusterFileHandlerInterface |
fileExists( $path) | eZClusterFileHandlerInterface |
fileFetch( $filePath) | eZClusterFileHandlerInterface |
fileFetchContents( $filePath) | eZClusterFileHandlerInterface |
fileLinkCopy( $srcPath, $dstPath, $symLink) | eZClusterFileHandlerInterface |
fileMove( $srcPath, $dstPath) | eZClusterFileHandlerInterface |
fileStore( $filePath, $scope=false, $delete=false, $datatype=false) | eZClusterFileHandlerInterface |
fileStoreContents( $filePath, $contents, $scope=false, $datatype=false) | eZClusterFileHandlerInterface |
getFileList( $scopes=false, $excludeScopes=false) | eZClusterFileHandlerInterface |
hasStaleCacheSupport() | eZClusterFileHandlerInterface |
isDBFileExpired( $expiry, $curtime, $ttl) | eZClusterFileHandlerInterface |
isExpired( $expiry, $curtime, $ttl) | eZClusterFileHandlerInterface |
isFileExpired( $fname, $mtime, $expiry, $curtime, $ttl) | eZClusterFileHandlerInterface | static
isLocalFileExpired( $expiry, $curtime, $ttl) | eZClusterFileHandlerInterface |
loadMetaData( $force=false) | eZClusterFileHandlerInterface |
move( $dstPath) | eZClusterFileHandlerInterface |
mtime() | eZClusterFileHandlerInterface |
name() | eZClusterFileHandlerInterface |
passthrough() | eZClusterFileHandlerInterface |
processCache( $retrieveCallback, $generateCallback=null, $ttl=null, $expiry=null, $extraData=null) | eZClusterFileHandlerInterface |
processFile( $callback, $expiry=false, $extraData=null) | eZClusterFileHandlerInterface |
purge( $printCallback=false, $microsleep=false, $max=false, $expiry=false) | eZClusterFileHandlerInterface |
requiresClusterizing() | eZClusterFileHandlerInterface |
requiresPurge() | eZClusterFileHandlerInterface |
size() | eZClusterFileHandlerInterface |
startCacheGeneration() | eZClusterFileHandlerInterface |
stat() | eZClusterFileHandlerInterface |
storeCache( $fileData) | eZClusterFileHandlerInterface |
storeContents( $contents, $scope=false, $datatype=false, $storeLocally=false) | eZClusterFileHandlerInterface |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.